<!DOCTYPE html>
<html>

<head>

<meta charset="UTF-8">
<meta name=viewport content="width=device-width, initial-scale=1">


<title>Configuring ODBC on Linux - Apache Drill</title>

<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
<link href='//fonts.googleapis.com/css?family=PT+Sans' rel='stylesheet' type='text/css'/>
<link href="/css/site.css" rel="stylesheet" type="text/css"/>

<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon"/>
<link rel="icon" href="/favicon.ico" type="image/x-icon"/>

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js" language="javascript" type="text/javascript"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.3/jquery.easing.min.js" language="javascript" type="text/javascript"></script>
<script language="javascript" type="text/javascript" src="/js/modernizr.custom.js"></script>
<script language="javascript" type="text/javascript" src="/js/script.js"></script>
<script language="javascript" type="text/javascript" src="/js/drill.js"></script>

</head>


<body onResize="resized();">
  <div class="page-wrap">
    <div class="bui"></div>

<div id="menu" class="mw">
<ul>
  <li class='toc-categories'>
  <a class="expand-toc-icon" href="javascript:void(0);"><i class="fa fa-bars"></i></a>
  </li>
  <li class="logo"><a href="/"></a></li>
  <li class='expand-menu'>
  <a href="javascript:void(0);"><span class='menu-text'>Menu</span><span class='expand-icon'><i class="fa fa-bars"></i></span></a>
  </li>
  <li class='clear-float'></li>
  <li class="documentation-menu">
    <a href="/docs/">Documentation</a>
    <ul>
      
        <li><a href="/docs/getting-started/">Getting Started</a></li>
      
        <li><a href="/docs/architecture/">Architecture</a></li>
      
        <li><a href="/docs/tutorials/">Tutorials</a></li>
      
        <li><a href="/docs/install-drill/">Install Drill</a></li>
      
        <li><a href="/docs/configure-drill/">Configure Drill</a></li>
      
        <li><a href="/docs/connect-a-data-source/">Connect a Data Source</a></li>
      
        <li><a href="/docs/odbc-jdbc-interfaces/">ODBC/JDBC Interfaces</a></li>
      
        <li><a href="/docs/query-data/">Query Data</a></li>
      
        <li><a href="/docs/performance-tuning/">Performance Tuning</a></li>
      
        <li><a href="/docs/log-and-debug/">Log and Debug</a></li>
      
        <li><a href="/docs/sql-reference/">SQL Reference</a></li>
      
        <li><a href="/docs/data-sources-and-file-formats/">Data Sources and File Formats</a></li>
      
        <li><a href="/docs/develop-custom-functions/">Develop Custom Functions</a></li>
      
        <li><a href="/docs/troubleshooting/">Troubleshooting</a></li>
      
        <li><a href="/docs/developer-information/">Developer Information</a></li>
      
        <li><a href="/docs/release-notes/">Release Notes</a></li>
      
        <li><a href="/docs/sample-datasets/">Sample Datasets</a></li>
      
        <li><a href="/docs/archived-pages/">Archived Pages</a></li>
      
        <li><a href="/docs/progress-reports/">Progress Reports</a></li>
      
        <li><a href="/docs/project-bylaws/">Project Bylaws</a></li>
      
    </ul>
  </li>
  <li class='nav'>
    <a href="/community-resources/">Community</a>
    <ul>
      <li><a href="/team/">Team</a></li>
      <li><a href="/mailinglists/">Mailing Lists</a></li>
      <li><a href="/community-resources/">Community Resources</a></li>
    </ul>
  </li>
  <li class='nav'><a href="/faq/">FAQ</a></li>
  <li class='nav'><a href="/blog/">Blog</a></li>
  <li id="twitter-menu-item"><a href="https://twitter.com/apachedrill" title="apachedrill on twitter" target="_blank"><img src="/images/twitter_32_26_white.png" alt="twitter logo" align="center"></a> </li>
  <li class='search-bar'>
    <form id="drill-search-form">
      <input type="text" placeholder="Search Apache Drill" id="drill-search-term" />
      <button type="submit">
        <i class="fa fa-search"></i>
      </button>
    </form>
  </li>
  <li class="d">
    <a href="/download/">
      <i class="fa fa-cloud-download"></i> Download
    </a>
  </li>
</ul>
</div>

    <link href="/css/content.css" rel="stylesheet" type="text/css">


      




<aside class="sidebar">
  <div class="docsidebar">
    <div class="docsidebarwrapper">
      <ul style="display: block;">
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Getting Started</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/drill-introduction/">Drill Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/why-drill/">Why Drill</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Architecture</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/architecture-introduction/">Architecture Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/drill-query-execution/">Drill Query Execution</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/core-modules/">Core Modules</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/performance/">Performance</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Tutorials</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/tutorials-introduction/">Tutorials Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/drill-in-10-minutes/">Drill in 10 Minutes</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/analyzing-the-yelp-academic-dataset/">Analyzing the Yelp Academic Dataset</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Learn Drill with the MapR Sandbox</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/about-the-mapr-sandbox/">About the MapR Sandbox</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/installing-the-apache-drill-sandbox/">Installing the Apache Drill Sandbox</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/getting-to-know-the-drill-sandbox/">Getting to Know the Drill Sandbox</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/lesson-1-learn-about-the-data-set/">Lesson 1: Learn about the Data Set</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/lesson-2-run-queries-with-ansi-sql/">Lesson 2: Run Queries with ANSI SQL</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/lesson-3-run-queries-on-complex-data-types/">Lesson 3: Run Queries on Complex Data Types</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/summary/">Summary</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/analyzing-highly-dynamic-datasets/">Analyzing Highly Dynamic Datasets</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/analyzing-social-media/">Analyzing Social Media</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Install Drill</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/install-drill-introduction/">Install Drill Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Installing Drill in Embedded Mode</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/embedded-mode-prerequisites/">Embedded Mode Prerequisites</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/installing-drill-on-linux-and-mac-os-x/">Installing Drill on Linux and Mac OS X</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/starting-drill-on-linux-and-mac-os-x/">Starting Drill on Linux and Mac OS X</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/installing-drill-on-windows/">Installing Drill on Windows</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/starting-drill-on-windows/">Starting Drill on Windows</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Installing Drill in Distributed Mode</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/distributed-mode-prerequisites/">Distributed Mode Prerequisites</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/installing-drill-on-the-cluster/">Installing Drill on the Cluster</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/starting-drill-in-distributed-mode/">Starting Drill in Distributed Mode</a></li>
              
            </ul>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Configure Drill</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/configure-drill-introduction/">Configure Drill Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/configuring-drill-memory/">Configuring Drill Memory</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Configuring a Multitenant Cluster</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuring-a-multitenant-cluster-introduction/">Configuring a Multitenant Cluster Introduction</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuring-multitenant-resources/">Configuring Multitenant Resources</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuring-resources-for-a-shared-drillbit/">Configuring Resources for a Shared Drillbit</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/configuring-user-impersonation/">Configuring User Impersonation</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/configuring-user-authentication/">Configuring User Authentication</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/configuring-user-impersonation-with-hive-authorization/">Configuring User Impersonation with Hive Authorization</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Configuration Options</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuration-options-introduction/">Configuration Options Introduction</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/start-up-options/">Start-Up Options</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/planning-and-execution-options/">Planning and Execution Options</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/persistent-configuration-storage/">Persistent Configuration Storage</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/ports-used-by-drill/">Ports Used by Drill</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/configuring-the-drill-shell/">Configuring the Drill Shell</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Connect a Data Source</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/connect-a-data-source-introduction/">Connect a Data Source Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/storage-plugin-registration/">Storage Plugin Registration</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Storage Plugin Configuration</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/plugin-configuration-basics/">Plugin Configuration Basics</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/file-system-storage-plugin/">File System Storage Plugin</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/workspaces/">Workspaces</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/hbase-storage-plugin/">HBase Storage Plugin</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/hive-storage-plugin/">Hive Storage Plugin</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/drill-default-input-format/">Drill Default Input Format</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/mongodb-plugin-for-apache-drill/">MongoDB Plugin for Apache Drill</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/mapr-db-format/">MapR-DB Format</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1 current_section "><a href="javascript: void(0);">ODBC/JDBC Interfaces</a></li>
          <ul class="current_section">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/interfaces-introduction/">Interfaces Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/using-the-jdbc-driver/">Using the JDBC Driver</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/using-jdbc-with-squirrel-on-windows/">Using JDBC with SQuirreL on Windows</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Installing the ODBC Driver</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/installing-the-driver-on-linux/">Installing the Driver on Linux</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/installing-the-driver-on-mac-os-x/">Installing the Driver on Mac OS X</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/installing-the-driver-on-windows/">Installing the Driver on Windows</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/installing-the-tdc-file-on-windows/">Installing the TDC File on Windows</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Configuring ODBC</a></li>
              <ul style="">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/odbc-configuration-reference/">ODBC Configuration Reference</a></li>
              
                <li class="toctree-l3 current"><a class="reference internal" href="/docs/configuring-odbc-on-linux/">Configuring ODBC on Linux</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuring-odbc-on-mac-os-x/">Configuring ODBC on Mac OS X</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuring-odbc-on-windows/">Configuring ODBC on Windows</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/testing-the-odbc-connection/">Testing the ODBC Connection</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Using Drill Explorer</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/drill-explorer-introduction/">Drill Explorer Introduction</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/connecting-drill-explorer-to-data/">Connecting Drill Explorer to Data</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/browsing-data-and-defining-views/">Browsing Data and Defining Views</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Using Drill with BI Tools</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/using-drill-with-bi-tools-introduction/">Using Drill with BI Tools Introduction</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/tableau-examples/">Tableau Examples</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/using-microstrategy-analytics-with-apache-drill/">Using MicroStrategy Analytics with Apache Drill</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/using-tibco-spotfire-desktop-with-drill/">Using Tibco Spotfire Desktop with Drill</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuring-tibco-spotfire-server-with-drill/">Configuring Tibco Spotfire Server with Drill</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/using-apache-drill-with-tableau-9-desktop/">Using Apache Drill with Tableau 9 Desktop</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/using-apache-drill-with-tableau-9-server/">Using Apache Drill with Tableau 9 Server</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuring-jreport-with-drill/">Configuring JReport with Drill</a></li>
              
            </ul>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Query Data</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/query-data-introduction/">Query Data Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Querying a File System</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/querying-a-file-system-introduction/">Querying a File System Introduction</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/querying-json-files/">Querying JSON Files</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/querying-parquet-files/">Querying Parquet Files</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/querying-plain-text-files/">Querying Plain Text Files</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/querying-directories/">Querying Directories</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/querying-hbase/">Querying HBase</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Querying Complex Data</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/querying-complex-data-introduction/">Querying Complex Data Introduction</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/sample-data-donuts/">Sample Data: Donuts</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/selecting-flat-data/">Selecting Flat Data</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/using-sql-functions-clauses-and-joins/">Using SQL Functions, Clauses, and Joins</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/selecting-nested-data-for-a-column/">Selecting Nested Data for a Column</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/selecting-multiple-columns-within-nested-data/">Selecting Multiple Columns Within Nested Data</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/querying-hive/">Querying Hive</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/querying-the-information-schema/">Querying the INFORMATION SCHEMA</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/querying-system-tables/">Querying System Tables</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/monitoring-and-canceling-queries-in-the-drill-web-ui/">Monitoring and Canceling Queries in the Drill Web UI</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Performance Tuning</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/performance-tuning-introduction/">Performance Tuning Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/partition-pruning/">Partition Pruning</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/choosing-a-storage-format/">Choosing a Storage Format</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Query Plans and Tuning</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/query-plans-and-tuning-introduction/">Query Plans and Tuning Introduction</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/join-planning-guidelines/">Join Planning Guidelines</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/guidelines-for-optimizing-aggregation/">Guidelines for Optimizing Aggregation</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/modifying-query-planning-options/">Modifying Query Planning Options</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/sort-based-and-hash-based-memory-constrained-operators/">Sort-Based and Hash-Based Memory-Constrained Operators</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/enabling-query-queuing/">Enabling Query Queuing</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/controlling-parallelization-to-balance-performance-with-multi-tenancy/">Controlling Parallelization to Balance Performance with Multi-Tenancy</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Identifying Performance Issues</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/query-plans/">Query Plans</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/query-profiles/">Query Profiles</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Performance Tuning Reference</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/query-profile-column-descriptions/">Query Profile Column Descriptions</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/physical-operators/">Physical Operators</a></li>
              
            </ul>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Log and Debug</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/log-and-debug-introduction/">Log and Debug Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/error-messages/">Error Messages</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/modify-logback-xml/">Modify logback.xml</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/review-the-java-stack-trace/">Review the Java Stack Trace</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/query-audit-logging/">Query Audit Logging</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">SQL Reference</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/sql-reference-introduction/">SQL Reference Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Data Types</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/supported-data-types/">Supported Data Types</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/date-time-and-timestamp/">Date, Time, and Timestamp</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/handling-different-data-types/">Handling Different Data Types</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/lexical-structure/">Lexical Structure</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/operators/">Operators</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">SQL Functions</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/about-sql-function-examples/">About SQL Function Examples</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/math-and-trig/">Math and Trig</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/data-type-conversion/">Data Type Conversion</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/date-time-functions-and-arithmetic/">Date/Time Functions and Arithmetic</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/string-manipulation/">String Manipulation</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/aggregate-and-aggregate-statistical/">Aggregate and Aggregate Statistical</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/functions-for-handling-nulls/">Functions for Handling Nulls</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">SQL Window Functions</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/sql-window-functions-introduction/">SQL Window Functions Introduction</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/aggregate-window-functions/">Aggregate Window Functions</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/ranking-window-functions/">Ranking Window Functions</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/sql-window-functions-examples/">SQL Window Functions Examples</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Nested Data Functions</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/nested-data-limitations/">Nested Data Limitations</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/flatten/">FLATTEN</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/kvgen/">KVGEN</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/repeated-count/">REPEATED_COUNT</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/repeated-contains/">REPEATED_CONTAINS</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/query-directory-functions/">Query Directory Functions</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">SQL Commands</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/supported-sql-commands/">Supported SQL Commands</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/alter-session/">ALTER SESSION</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/alter-system/">ALTER SYSTEM</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/create-table-as-ctas/">CREATE TABLE AS (CTAS)</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/partition-by-clause/">PARTITION BY Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/create-view/">CREATE VIEW</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/drop-view/">DROP VIEW</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/describe/">DESCRIBE</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/explain/">EXPLAIN</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/select/">SELECT</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/select-list/">SELECT List</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/from-clause/">FROM Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/group-by-clause/">GROUP BY Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/having-clause/">HAVING Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/limit-clause/">LIMIT Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/offset-clause/">OFFSET Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/order-by-clause/">ORDER BY Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/union-set-operator/">UNION Set Operator</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/where-clause/">WHERE Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/with-clause/">WITH Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/show-databases-and-show-schemas/">SHOW DATABASES and SHOW SCHEMAS</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/show-files/">SHOW FILES</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/show-tables/">SHOW TABLES</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/use/">USE</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">SQL Conditional Expressions</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/case/">CASE</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/reserved-keywords/">Reserved Keywords</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/sql-extensions/">SQL Extensions</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Data Sources and File Formats</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/data-sources-and-file-formats-introduction/">Data Sources and File Formats Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/hive-to-drill-data-type-mapping/">Hive-to-Drill Data Type Mapping</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/deploying-and-using-a-hive-udf/">Deploying and Using a Hive UDF</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/parquet-format/">Parquet Format</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/json-data-model/">JSON Data Model</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/text-files-csv-tsv-psv/">Text Files: CSV, TSV, PSV</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Develop Custom Functions</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/develop-custom-functions-introduction/">Develop Custom Functions Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/develop-a-simple-function/">Develop a Simple Function</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/developing-an-aggregate-function/">Developing an Aggregate Function</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/adding-custom-functions-to-drill/">Adding Custom Functions to Drill</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/using-custom-functions-in-queries/">Using Custom Functions in Queries</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/custom-function-interfaces/">Custom Function Interfaces</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a class="reference internal" href="/docs/troubleshooting/">Troubleshooting</a></li>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Developer Information</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Develop Drill</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/compiling-drill-from-source/">Compiling Drill from Source</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/drill-patch-review-tool/">Drill Patch Review Tool</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Contribute to Drill</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/apache-drill-contribution-guidelines/">Apache Drill Contribution Guidelines</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/apache-drill-contribution-ideas/">Apache Drill Contribution Ideas</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Design Docs</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/drill-plan-syntax/">Drill Plan Syntax</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/rpc-overview/">RPC Overview</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/query-stages/">Query Stages</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/useful-research/">Useful Research</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/value-vectors/">Value Vectors</a></li>
              
            </ul>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Release Notes</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-1-1-0-release-notes/">Apache Drill 1.1.0 Release Notes</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-1-0-0-release-notes/">Apache Drill 1.0.0 Release Notes</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-0-9-0-release-notes/">Apache Drill 0.9.0 Release Notes</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-0-8-0-release-notes/">Apache Drill 0.8.0 Release Notes</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-0-7-0-release-notes/">Apache Drill 0.7.0 Release Notes</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-0-6-0-release-notes/">Apache Drill 0.6.0 Release Notes</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-m1-release-notes-apache-drill-alpha/">Apache Drill M1 Release Notes (Apache Drill Alpha)</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-m1-release-notes-apache-drill-alpha/">Apache Drill M1 Release Notes (Apache Drill Alpha)</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-0-5-0-release-notes/">Apache Drill 0.5.0 Release Notes</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-0-4-0-release-notes/">Apache Drill 0.4.0 Release Notes</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Sample Datasets</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/aol-search/">AOL Search</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/enron-emails/">Enron Emails</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/wikipedia-edit-history/">Wikipedia Edit History</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Archived Pages</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/how-to-run-the-drill-demo/">How to Run the Drill Demo</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/what-is-apache-drill/">What is Apache Drill</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Progress Reports</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/2014-q1-drill-report/">2014 Q1 Drill Report</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a class="reference internal" href="/docs/project-bylaws/">Project Bylaws</a></li>
        
      
      </ul>

    </div>
  </div>
</aside>


<nav class="breadcrumbs">
  <li><a href="/docs/">Docs</a></li>
 
  
    <li><a href="/docs/odbc-jdbc-interfaces/">ODBC/JDBC Interfaces</a></li>
  
    <li><a href="/docs/configuring-odbc/">Configuring ODBC</a></li>
  
  <li>Configuring ODBC on Linux</li>
</nav>

<div class="main-content-wrapper">
  <div class="main-content">

    
      <a class="edit-link" href="https://github.com/apache/drill/blob/gh-pages/_docs/odbc-jdbc-interfaces/configuring-odbc/020-configuring-odbc-on-linux.md" target="_blank"><i class="fa fa-pencil-square-o"></i></a>
    

    <div class="int_title left">
      <h1>Configuring ODBC on Linux</h1>

    </div>

    <link href="/css/docpage.css" rel="stylesheet" type="text/css">

    <div class="int_text" align="left">
      
        <p>ODBC driver managers use configuration files to define and configure ODBC data
sources and drivers. To configure an ODBC connection for Linux, complete the following
steps:</p>

<ul>
<li><a href="/docs/configuring-odbc-on-linux/#step-1:-set-environment-variables">Step 1: Set Environment Variables</a></li>
<li><a href="/docs/configuring-odbc-on-linux/#step-2:-define-the-odbc-data-sources-in-.odbc.ini">Step 2: Define the ODBC Data Sources in odbc.ini</a></li>
<li><a href="/docs/configuring-odbc-on-linux/#step-3:-(optional)-define-the-odbc-driver-in-.odbcinst.ini">Step 3: (Optional) Define the ODBC Driver in odbcinst.ini</a></li>
<li><a href="/docs/configuring-odbc-on-linux/#configuring-.mapr.drillodbc.ini">Step 4: Configure the MapR Drill ODBC Driver</a></li>
</ul>

<h2 id="sample-configuration-files">Sample Configuration Files</h2>

<p>Before you connect to Drill through an ODBC client tool
on Linux, copy the following configuration files in <code>/opt/mapr/drillobdc/Setup</code> to your home directory unless the files already exist in your home directory:</p>

<ul>
<li><code>mapr.drillodbc.ini</code></li>
<li><code>odbc.ini</code></li>
<li><code>odbcinst.ini</code></li>
</ul>

<p>In your home directory, rename the files as hidden files. Use sudo if necessary:</p>

<ul>
<li>.mapr.drillodbc.ini</li>
<li>.odbc.ini</li>
<li>.odbcinst.ini</li>
</ul>

<hr>

<h2 id="step-1:-set-environment-variables">Step 1: Set Environment Variables</h2>

<ol>
<li>Set the ODBCINI environment variable to point to the <code>.odbc.ini</code> in your home directory. For example:<br>
<code>export ODBCINI=~/.odbc.ini</code></li>
<li>Set the MAPRDRILLINI environment variable to point to <code>.mapr.drillodbc.ini</code> in your home directory. For example:<br>
<code>export MAPRDRILLINI=~/.mapr.drillodbc.ini</code></li>
<li>Set the LD_LIBRARY_PATH environment variable  to point to your ODBC driver manager libraries and the MapR ODBC Driver for Apache Drill shared libraries. For example:<br>
<code>export LD_LIBRARY_PATH=/usr/local/lib:/opt/mapr/drillodbc/lib/64</code></li>
</ol>

<p>You can have both 32- and 64-bit versions of the driver installed at the same time on the same computer. 
<div class="admonition important">
  <p class="first admonition-title">Important</p>
  <p class="last">Do not include the paths to both 32- and 64-bit shared libraries in LD_LIBRARY PATH at the same time.  </p>
</div>
Only include the path to the shared libraries corresponding to the driver matching the bitness of the client application you use to access Drill.</p>

<hr>

<h2 id="step-2:-define-the-odbc-data-sources-in-.odbc.ini">Step 2: Define the ODBC Data Sources in .odbc.ini</h2>

<p>Define the ODBC data sources in the <code>~/.odbc.ini</code> configuration file for your environment. To use Drill in embedded mode, set the following properties:</p>
<div class="highlight"><pre><code class="language-text" data-lang="text">ConnectionType=Direct
HOST=localhost
PORT=31010
ZKQuorum=
ZKClusterID=
</code></pre></div>
<p>To use Drill in distributed mode, set the following properties, described in detail in section <a href="/docs/configuring-odbc-on-linux/#direct-and-zookeeper-quorum-properties">&quot;Direct and ZooKeeper Quorum Properties&quot;</a>:</p>
<div class="highlight"><pre><code class="language-text" data-lang="text">ConnectionType=ZooKeeper
HOST=
PORT=
ZKQuorum=&lt;host name&gt;:&lt;port&gt;,&lt;host name&gt;:&lt;port&gt; . . . &lt;host name&gt;:&lt;port&gt;
ZKClusterID=&lt;cluster name in `drill-override.conf`&gt;
</code></pre></div>
<p>The following Linux sample shows a possible configuration for using Drill in distributed mode. The configuration assumes you started Drill using the <code>drill-conf</code> command. The example modifies the default Linux-installed <code>.odbc.ini</code> for a 64-bit system by commenting out 32-bit properties, adding 64-bit properties, and removes the extraneous [Sample MapR Drill DSN 64] from <code>.odbc.ini</code>.</p>
<div class="highlight"><pre><code class="language-text" data-lang="text">[ODBC]
Trace=no

[ODBC Data Sources]
#Sample MapR Drill DSN 32=MapR Drill ODBC Driver 32-bit
Sample MapR Drill DSN 64=MapR Drill ODBC Driver 64-bit

[Sample MapR Drill DSN 64]
#[Sample MapR Drill DSN 32]
# This key is not necessary and only describes the data source.
#Description=MapR Drill ODBC Driver (32-bit) DSN
Description=MapR Drill ODBC Driver (64-bit) DSN


# Driver: The location where the ODBC driver is installed to.
#Driver=/opt/mapr/drillodbc/lib/32/libmaprdrillodbc32.so
Driver=/opt/mapr/drillodbc/lib/64/libmaprdrillodbc64.so

# The DriverUnicodeEncoding setting is only used for SimbaDM
# When set to 1, SimbaDM runs in UTF-16 mode.
# When set to 2, SimbaDM runs in UTF-8 mode.
#DriverUnicodeEncoding=2

# Values for ConnectionType, AdvancedProperties, Catalog, Schema should be set here.
# If ConnectionType is Direct, include Host and Port. If ConnectionType is ZooKeeper, include ZKQuorum and ZKClusterID
# They can also be specified on the connection string.
# AuthenticationType: No authentication; Basic Authentication
ConnectionType=ZooKeeper
HOST=
PORT=
ZKQuorum=centos23:5181,centos28:5181,centos29:5181
ZKClusterID=docs41cluster-drillbits
AuthenticationType=No Authentication
UID=[USERNAME]
PWD=[PASSWORD]
AdvancedProperties=CastAnyToVarchar=true;HandshakeTimeout=5;QueryTimeout=180;TimestampTZDisplayTimezone=utc;ExcludedSchemas=sys,INFORMATION_SCHEMA;NumberOfPrefetchBuffers=5;
Catalog=DRILL
Schema=

# The DriverUnicodeEncoding setting is only used for SimbaDM
</code></pre></div>
<h3 id="authentication-properties">Authentication Properties</h3>

<p>To password protect the DSN, uncomment the AuthenticationType, select Basic Authentication for the AuthenticationType, and configure UID and PWD properties.</p>

<h3 id="direct-and-zookeeper-quorum-properties">Direct and ZooKeeper Quorum Properties</h3>

<p>To use Drill in distributed mode, set ConnectionType to Zookeeper, get the ZKQuorum and ZKClusterID values from the <code>drill-override.conf</code> file, and define the ZKQuorum and ZKClusterID properties. The <code>drill-override.conf</code> is in the <code>/drill/drill-&lt;version&gt;/conf</code> directory. Format ZKQuorum as a comma separated list of ZooKeeper nodes in the following format:<br>
<code>&lt;host name/ip address&gt; : &lt;port number&gt;, &lt;host name/ip address&gt; : &lt;port number&gt;, . . .</code> </p>

<p>For example:</p>

<ul>
<li><code>ZKQuorum=centos23:5181,centos28:5181,centos29:5181</code><br></li>
<li><code>ZKClusterID=docs41cluster-drillbits</code></li>
</ul>

<p>To use Drill in embedded mode, do not define the ZKQuorum and ZKClusterID properties. Start Drill using the drill-localhost command, set ConnectionType to Direct, and define HOST and PORT properties. For example:</p>

<ul>
<li><code>HOST=centos32.lab:5181</code><br></li>
<li><code>PORT=31010</code></li>
</ul>

<p><a href="/docs/odbc-configuration-reference/#configuration-options">Driver Configuration Options</a> describes configuration options available for controlling the
behavior of DSNs using the MapR Drill ODBC Driver.</p>

<hr>

<h2 id="step-3:-(optional)-define-the-odbc-driver-in-.odbcinst.ini">Step 3: (Optional) Define the ODBC Driver in .odbcinst.ini</h2>

<p>The <code>.odbcinst.ini</code> is an optional configuration file that defines the ODBC
Drivers. This configuration file is optional because you can specify drivers
directly in the<code>.odbc.ini</code> configuration file. The <code>.odbinst.ini</code> file contains the following sample configurations.</p>

<p><strong>Example</strong></p>
<div class="highlight"><pre><code class="language-text" data-lang="text">[ODBC Drivers]
[ODBC Drivers]
MapR Drill ODBC Driver 32-bit=Installed
MapR Drill ODBC Driver 64-bit=Installed

[MapR Drill ODBC Driver 32-bit]
Description=MapR Drill ODBC Driver(32-bit)
Driver=/opt/mapr/drillodbc/lib/32/libmaprdrillodbc32.so

[MapR Drill ODBC Driver 64-bit]
Description=MapR Drill ODBC Driver(64-bit)
Driver=/opt/mapr/drillodbc/lib/64/libmaprdrillodbc64.so 
</code></pre></div>
<hr>

<h2 id="step-4:-configure-the-mapr-drill-odbc-driver">Step 4: Configure the MapR Drill ODBC Driver</h2>

<p>Configure the MapR Drill ODBC Driver for your environment by modifying the <code>.mapr.drillodbc.ini</code> configuration
file. This configures the driver to work with your ODBC driver manager. The following sample shows a possible configuration, which you can use as is if you installed the default iODBC driver manager.</p>

<p><strong>Example</strong></p>
<div class="highlight"><pre><code class="language-text" data-lang="text">. . .
[Driver]
DriverManagerEncoding=UTF-32
ErrorMessagesPath=/opt/mapr/drillodbc/ErrorMessages
LogLevel=0
LogPath=[LogPath]
SwapFilePath=/tmp

## - Uncomment the ODBCInstLib corresponding to the Driver Manager being used.
## - Note that the path to your ODBC Driver Manager must be specified in LD_LIBRARY_PATH.

# Generic ODBCInstLib
#   iODBC
ODBCInstLib=libiodbcinst.so
. . .
</code></pre></div>
<h3 id="configuring-.mapr.drillodbc.ini">Configuring .mapr.drillodbc.ini</h3>

<p>To configure the MapR Drill ODBC Driver in the <code>mapr.drillodbc.ini</code> configuration file, complete the following steps:</p>

<ol>
<li>Open the <code>mapr.drillodbc.ini</code> configuration file in a text editor.</li>
<li>Edit the DriverManagerEncoding setting if necessary. The value is typically UTF-16 or UTF-32, but depends on the driver manager used. iODBC uses UTF-32 and unixODBC uses UTF-16. Review your ODBC Driver Manager documentation for the correct setting.</li>
<li><p>Edit the <code>ODBCInstLib</code> setting. The value is the name of the <code>ODBCInst</code> shared library for the ODBC driver manager that you use. The configuration file defaults to the shared library for <code>iODBC</code>. In Linux, the shared library name for iODBC is <code>libiodbcinst.so</code>. </p>

<p>Specify an absolute or relative filename for the library. If you use
the relative file name, include the path to the library in the library path
environment variable. The library path environment variable is named
<code>LD_LIBRARY_PATH</code>. </p></li>
<li><p>Save the <code>mapr.drillodbc.ini</code> configuration file.</p></li>
</ol>

<h3 id="next-step">Next Step</h3>

<p>Refer to <a href="/docs/testing-the-odbc-connection">Testing the ODBC Connection</a>.</p>

    
      
        <div class="doc-nav">
  
  <span class="previous-toc"><a href="/docs/odbc-configuration-reference/">← ODBC Configuration Reference</a></span><span class="next-toc"><a href="/docs/configuring-odbc-on-mac-os-x/">Configuring ODBC on Mac OS X →</a></span>
</div>

    
    </div>
  </div>
</div>

  </div>
  <p class="push"></p>
<div id="footer" class="mw">
<div class="wrapper">
Copyright © 2012-2014 The Apache Software Foundation, licensed under the Apache License, Version 2.0.<br>
Apache and the Apache feather logo are trademarks of The Apache Software Foundation. Other names appearing on the site may be trademarks of their respective owners.<br/><br/>
</div>
</div>

  <script>
(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
})(window,document,'script','//www.google-analytics.com/analytics.js','ga');

ga('create', 'UA-53379651-1', 'auto');
ga('send', 'pageview');
</script>

</body>
</html>
